.qili-iframe2 {
  overflow: hidden;
  position: relative;
  padding: clamp(30px, 4.6875vw, 90px) 0;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}
.qili-iframe2 .list-wrapper {
  overflow: hidden; /* 隐藏超出容器的内容 */
  width: 100%;
}

.qili-iframe2 .list-inner {
  display: flex; /* 使内部的 .box 元素横向排列 */
  transition: transform 0.3s ease-in-out; /* 添加过渡效果，实现平滑滑动 */
  /* 初始宽度将由 JavaScript 设置 */
}

.qili-iframe2 .list-inner .list {
  width: 100%; /* 确保每个 .box 宽度正确 */
}


.qili-iframe2 .indextit h2 {
  color: #fff;
  font-size: clamp(24px, 2.5vw, 48px);
  text-align: center;
}

.qili-iframe2 .indextit h2 span {
  color: var(--color-primary);
}

.qili-iframe2 ul {
  margin: 60px 0 0;
}

.qili-iframe2 ul li {
  font-size: clamp(13px, 1.35vw, 26px);
  line-height: 1.4;
  color: #fff;
  position: relative;
  cursor: pointer;
  text-align: center;
  text-transform: capitalize;
  align-items: center;
  display: flex;
  padding: 15px;
}

.qili-iframe2 ul li:before {
  content: "";
  position: absolute;
  left: 68px;
  bottom: -8px;
  width: 210px;
  height: 5px;
}

.qili-iframe2 ul li.active {
  color: var(--color-primary)
}

.qili-iframe2 ul li.active:before {
  background: var(--color-primary)
}
.qili-iframe2 .list {
  overflow: hidden;
  margin-top: 45px;
}

.qili-iframe2 .list .box {
  overflow: hidden;
  display: none;
  border-radius: 10px;
}




.qili-iframe2 .list .item  {
  display: flex;
  margin-bottom: 25px;
}
.qili-iframe2 .list .item:nth-child(2n) {
  flex-direction: row-reverse;
}


.qili-iframe2 .list .item .txt {
  width: 85%;
  box-sizing: border-box;
  background: rgba(29, 34, 45, 0.9);
  padding: 60px 50px;
}

.qili-iframe2 .list .item .txt h3 {
  font-size: clamp(18px, 1.35vw, 26px);
  color: #fff;
  line-height: 1.2;
  margin-bottom: 30px;
}

.qili-iframe2 .list .item .txt p {
  font-size: clamp(14px, 0.94vw, 18px);
  line-height: 1.6;
  color: #fff;
}

.qili-iframe2 .list .item .txt a {
  display: inline-block;
  margin-top: 60px;
  font-size: 14px;
  color: var(--color-primary);
}

.qili-iframe2 .list .item .txt a:hover {
  color: var(--color-primary)
}

.qili-iframe2 .list .item .img {
  width: 71%;
  position: relative;
}

.qili-iframe2 .list .item .img img {
  width: 100%;
  transition: all 0.35s;
  height: 100%;
  object-fit: cover;
}

.qili-iframe2 .list .item .img a {
  background: var(--color-primary);
  position: absolute;
  top: 80px;
  right: 24%;
  z-index: 3;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  transition: all 0.65s
}

.qili-iframe2 .list .item .img a i {
  font-size: 34px;
  color: #fff
}

.qili-iframe2 .list .item .img a:hover {
  transform: rotate(360deg)
}

@media(max-width: 1600px) {


  .qili-iframe2 ul,
  .qili-iframe2 .list,
  .qili-iframe2 .list .item .txt a {
    margin-top: 50px;
  }
  .qili-iframe2 ul li:before {
    width: 178.5px;
  }
  .qili-iframe2 .list .item .txt {
    padding: 51px 42.5px;
  }
  .qili-iframe2 .list .item .txt h3 {
    margin-bottom: 25.5px;
  }
  .qili-iframe2 .list .item .img a {
    top: 68px;
    width: 51px;
    height: 51px;
  }
  .qili-iframe2 .list .item .img a i {
    font-size: 29px;
  }
}

@media(max-width: 1440px) {


  .qili-iframe2 ul,
  .qili-iframe2 .list,
  .qili-iframe2 .list .item .txt a {
    margin-top: 40px;
  }

  .qili-iframe2 ul li:before {
    width: 147px;
  }
  .qili-iframe2 .list .item .txt {
    padding: 42px 35px;
  }
  .qili-iframe2 .list .item .txt h3 {
    margin-bottom: 20px;
  }
  .qili-iframe2 .list .item .img a {
    top: 56px;
    width: 42px;
    height: 42px;
  }
  .qili-iframe2 .list .item .img a i {
    font-size: 24px;
  }
}

@media(max-width: 1220px) {


  .qili-iframe2 ul li:before {
    width: 136.5px;
  }
  .qili-iframe2 .list .item .txt {
    padding: 39px 32.5px;
  }

  .qili-iframe2 .list .item .img a {
    top: 52px;
    width: 39px;
    height: 39px;
  }
  .qili-iframe2 .list .item .img a i {
    font-size: 22px;
  }
  .qili-iframe2 ul li {
    padding:7px 15px;
  }
}

@media(max-width:1079px) {


  .qili-iframe2 ul {
    flex-wrap: nowrap;
    margin-top: 20px;
    overflow: auto;
  }

  

  .qili-iframe2 ul li::before {
    height: 3px;
    width: 100px;
    left: 34px;
    bottom: 2px;
  }

  .qili-iframe2 .list {
    margin-top: 20px
  }

  .qili-iframe2 .list .item {
    flex-direction: column !important;
    margin-bottom: 0;
  }

  .qili-iframe2 .list .item .txt {
    width: 100%;
    padding: 15px
  }



  .qili-iframe2 .list .item .txt a {
    margin-top: 20px
  }
  .qili-iframe2 .list .item .img {
    width: 100%;
  }

}

@media(max-width: 639px) {


  .qili-iframe2 ul li:before {
    width: 98px;
    bottom: 2px;
    left: 63px;
  }

  .qili-iframe2 .list .item .txt h3 {
    margin-bottom: 18px;
  }
  .qili-iframe2 .list .item .img a {
    top: 48px;
    width: 36px;
    height: 38px;
  }
  .qili-iframe2 .list .item .img a i {
    font-size: 20px;
  }
}

@media(max-width:400px){
  .qili-iframe2 ul li:before {
    width: 85px;
    bottom: 2px;
    left: 39px;
  }
}